
#ifndef VocList_H
#define VocList_H

#include <deque>
#include "VocPair.h"

class VocList
{
 public:
  VocList();
 
  void addVoc(VocPair voc);
  VocPair getVoc(int position);
  unsigned int size();
  void clear();
  void randomize();
  bool isRandom();

 private:
  std::deque<VocPair> vocList;
  bool rnd;
};
#endif
