
#include "VocPair.h"
using namespace std;

VocPair::VocPair() {}

VocPair::VocPair(deque<string> lang1start, deque<string> lang2start)
    {
      lang1 = lang1start;
      lang2 = lang2start;
    }

string VocPair::getQuestion(bool backw)
{
  if(backw)
    return lang2[rand() % lang2.size()]; // Backwards test!
  else
    return lang1[rand() % lang1.size()]; // Normal test!
}

deque<string> VocPair::getQuestions(bool backw)
{
  if(backw)
    return lang2; // Backwards test!
  else
    return lang1; // Normal test!
}

deque<string> VocPair::getAnswers(bool backw)
{
  if(backw)
    return lang1; // Backwards test!
  else
    return lang2; // Normal test!
}
