
#include <cstdlib>   // rand() stuff
#include "VocList.h"
using namespace std;

VocList::VocList()
{
  rnd = false;
}

void VocList::addVoc(VocPair voc)
{
  vocList.push_back(voc);
}

VocPair VocList::getVoc(int position)
{
  return vocList[position];
}

unsigned int VocList::size()
{
  return vocList.size();
}

void VocList::clear()
{
  vocList.clear();
}

void VocList::randomize()
{
  if(isRandom())
    {
      unsigned int pos1, pos2;
      VocPair temp;
      for(unsigned int i = 0; i < (vocList.size() / 2); i++)
	{
	  pos1 = rand() % vocList.size();
	  pos2 = rand() % vocList.size();
	  
	  temp = vocList[pos1];
	  vocList[pos1] = vocList[pos2];
	  vocList[pos2] = temp;
	}
    }
  else
    {
      rnd = true;
    }
}

bool VocList::isRandom()
{
  return rnd;
}
